Subject: bug#40857: Invisibility specs do not apply to specified spaces

From: Pip Cet <[email-masked]>
Date: Sun, 26 Apr 2020 19:01:29 +0000

On Sun, Apr 26, 2020 at 3:22 PM Eli Zaretskii <[email-masked]> wrote:
> I don't think this is a bug.  A "replacing" display property in effect
> forces the display engine to ignore the entire chunk of text "covered"
> by that display property,

That's only true for text properties: a display property on an empty
overlay is ignored. So it would be consistent with that to ignore
display text properties on invisible strings.

The right fix, I think, is to apply the patch in bug#40845, possibly
extending it to pass in an "invisible" flag to the Lisp code that
calculates the actual display spec to be used.